org.apache.xalan.extensions

## Class ExtensionNamespaceSupport

- java.lang.Object
- - org.apache.xalan.extensions.ExtensionNamespaceSupport

    public class ExtensionNamespaceSupport
    extends java.lang.Object

During styleseet composition, an ExtensionNamespaceSupport object is created for each extension namespace the stylesheet uses. At the beginning of a transformation, TransformerImpl generates an ExtensionHandler for each of these objects and adds an entry to the ExtensionsTable hashtable.

### Constructor Summary

Constructors
Constructor and Description
`ExtensionNamespaceSupport(java.lang.String namespace, java.lang.String handlerClass, java.lang.Object[] constructorArgs)`

### Method Summary

Methods
`java.lang.String` `getNamespace()`
`ExtensionHandler` `launch()` Launch the ExtensionHandler that this ExtensionNamespaceSupport object defines.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionNamespaceSupport

    public ExtensionNamespaceSupport(java.lang.String namespace,
                             java.lang.String handlerClass,
                             java.lang.Object[] constructorArgs)

### Method Detail

#### getNamespace

    public java.lang.String getNamespace()

#### launch

    public ExtensionHandler launch()
                            throws TransformerException

Launch the ExtensionHandler that this ExtensionNamespaceSupport object defines.

Throws:
  `TransformerException`